production:
  script:
    - apt update -y && apt install curl -y
    - email=$(echo $CI_COMMIT_AUTHOR | grep -o -P '(?<=\<).*(?=\>)')
    - curl -X POST -H "Content-Type:application/json" -H "x-auth-token:SPivb_yXkTTPpK_2rhtAZj25N2hX5Tyk_DXLnPqaDRE" https://api.codemagic.io/apps/62c31bc31d850196d20b99bf/variables/63067dd3fd736a1506625399 --data '{"value":"'"$email"'", "secure":false}'
    #- curl -H "Content-Type:application/json" -H "x-auth-token:SPivb_yXkTTPpK_2rhtAZj25N2hX5Tyk_DXLnPqaDRE" https://api.codemagic.io/builds --data '{"appId":"62c31bc31d850196d20b99bf", "workflowId":"publish-production", "branch":"codemagic"}'
    #- curl -X POST -H "Content-Type:application/json" -H "x-auth-token:SPivb_yXkTTPpK_2rhtAZj25N2hX5Tyk_DXLnPqaDRE" https://api.codemagic.io/apps/62c31bc31d850196d20b99bf/variables --data '{"key":"GITLAB_COMMITER_EMAIL", "value":$email, "group":"gitlab_variables", "secure":false}' #criar variavel

  only:
    refs:
      - codemagic
